corda / net.corda.core.schemas.requery.converters / StateRefConverter

# StateRefConverter

`class StateRefConverter : Converter<StateRef, Pair<String, Int>>`

Converts from a StateRef to a Composite Key defined by a String txnHash and an Int index

### Constructors

<init> | `StateRefConverter()` Converts from a StateRef to a Composite Key defined by a String txnHash and an Int index

### Functions

convertToMapped | `fun convertToMapped(type: Class<out StateRef>, value: Pair<String, Int>?): StateRef?`
convertToPersisted | `fun convertToPersisted(value: StateRef?): Pair<String, Int>?`
getMappedType | `fun getMappedType(): Class<StateRef>`
getPersistedSize | `fun getPersistedSize(): Int?`
getPersistedType | `fun getPersistedType(): Class<Pair<String, Int>>`